Bug 16602 - Remove the use of "onclick" from several templates
Summary: Remove the use of "onclick" from several templates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16778
  Show dependency treegraph
 
Reported: 2016-05-26 14:28 UTC by Owen Leonard
Modified: 2017-12-07 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16602 - Remove the use of "onclick" from several templates (11.31 KB, patch)
2016-05-26 15:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16602 - Remove the use of "onclick" from several templates (11.44 KB, patch)
2016-05-28 08:53 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 16602 - Remove the use of "onclick" from several templates (11.52 KB, patch)
2016-06-21 13:02 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-26 14:28:44 UTC
I am working on a patch which will remove the use of "onclick" from the following templates:

offline_circ/process_koc.tt
patron_lists/lists.tt
tools/batchMod-edit.tt
tools/batchMod-del.tt
tools/holidays.tt
Comment 1 Owen Leonard 2016-05-26 15:21:01 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-05-28 08:53:23 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-21 13:02:59 UTC
Created attachment 52645 [details] [review]
Bug 16602 - Remove the use of "onclick" from several templates

This patch removes the use of "onclick" from several templates, instead
defining click events in JavaScript.

Also changed: Some markup corrections.

To test, apply the patch and:

- Go to Circulation -> Upload offline circulation file
  - Browse for an offline circulation file.
  - Clicking the 'Upload file' button should work correctly.
    - After uploading a file, both the 'Add to offline circulation
      queue' and 'Apply directly' buttons should work to trigger their
      corresponding processes (keeping Bug 16603 in mind).

- Go to Patrons -> Patron lists.
  - For any patron list containing patrons, click the 'Print patron
    cards' menu item. This should trigger a modal window which exports
    the correct list.

- Go to Tools -> Batch item modification.
  - Submit a batch of items for modification.
  - Clicking the 'Save' button should trigger the background job and the
    items should be successfully modified.

- Go to Tools -> Batch item deletion.
  - Submit a batch of items for deletion.
  - Clicking the 'Delete' button should trigger the background job and
    the items should be successfully deleted.

- Go to Tools -> Calendar.
  - Trigger the 'Add new holiday' panel by clicking a day on the
    calendar which has no holiday defined.
  - Clicking the 'Cancel' link should hide the panel.
  - Trigger the 'Edit this holiday' panel by clicking a day which has a
    holiday defined.
  - Clicking the 'Cancel' link should hide the panel.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  Everything works as previously.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-06-24 13:56:46 UTC
Pushed to master for 16.11, thanks Owen!
Comment 5 Frédéric Demians 2016-08-01 13:18:40 UTC
Pushed in 16.05. Will be in 16.05.02.